# FdoVectorP Class Reference

`#include <Vector.h>`

Inheritance diagram for FdoVectorP:

[legend]

List of all members.

## Detailed Description

FdoVectorP is a FdoPtr on FdoVector, provided for convenience. It also provides vector arithmetic and comparison operators.

Definition at line 198 of file Vector.h.

## Public Member Functions
FDO_API_COMMON | FdoVectorP (FdoVector *src)
| Vector FdoPtr copy constructor.
FDO_API_COMMON | FdoVectorP (const FdoVectorP &src)
| Vector FdoPtr copy constructor.
FDO_API_COMMON | FdoVectorP ()
| Vector FdoPtr default constructor.
FDO_API_COMMON FdoBoolean | operator!= (const FdoVectorP vec2) const
| Compare two vectors for difference. The vectors are differnt if one of their elements is differnt. If one vector is shorter than the other then it is treated as if it were padded with zeros to the length of the other vector.
FDO_API_COMMON const FdoVectorP | operator+ (const FdoVectorP vec2) const
| Adds two vectors, by adding each individual element. The output vector has the same length as the longer of the input vectors. If one input vector is shorter than the other, it is treated as if it is padded with zeros.
FDO_API_COMMON FdoVectorP | operator+= (const FdoVectorP vec2)
| Adds a vector, to this vector, by adding each individual element. The output vector has the same length as the longer of the input vectors. If one input vector is shorter than the other, it is treated as if it is padded with zeros.
FDO_API_COMMON const FdoVectorP | operator- (const FdoVectorP vec2) const
| Subtracts two vectors, by subtracting each individual element. The output vector has the same length as the longer of the input vectors. If one input vector is shorter than the other, it is treated as if it is padded with zeros.
FDO_API_COMMON FdoVectorP | operator-= (const FdoVectorP vec2)
| Subtracts a vector, from this vector, by subtracting each individual element. The output vector has the same length as the longer of the input vectors. If one input vector is shorter than the other, it is treated as if it is padded with zeros.
FDO_API_COMMON FdoBoolean | operator< (const FdoVectorP vec2) const
| Checks if this vector is less than a second vector. Comparison is done by comparing the first element in each vector. If they are equal, then the second element is check and so on until a differing element is found. If one vector is shorter than the other then it is treated as if it were padded with zeros to the length of the other vector.
FDO_API_COMMON FdoBoolean | operator<= (const FdoVectorP vec2) const
| Checks if this vector is less than or equal to a second vector. Comparison is done by comparing the first element in each vector. If they are equal, then the second element is check and so on until a differing element is found. If one vector is shorter than the other then it is treated as if it were padded with zeros to the length of the other vector.
FDO_API_COMMON FdoVector * | operator= (FdoVector *src)
| Copies a vector.
FDO_API_COMMON FdoBoolean | operator== (const FdoVectorP vec2) const
| Compare two vectors for equality. The vectors are equal if all of their elements are equal. If one vector is shorter than the other then it is treated as if it were padded with zeros to the length of the other vector.
FDO_API_COMMON FdoBoolean | operator> (const FdoVectorP vec2) const
| Checks if this vector is greater than a second vector. Comparison is done by comparing the first element in each vector. If they are equal, then the second element is check and so on until a differing element is found. If one vector is shorter than the other then it is treated as if it were padded with zeros to the length of the other vector.
FDO_API_COMMON FdoBoolean | operator>= (const FdoVectorP vec2) const
| Checks if this vector is greater or equal to a second vector. Comparison is done by comparing the first element in each vector. If they are equal, then the second element is check and so on until a differing element is found. If one vector is shorter than the other then it is treated as if it were padded with zeros to the length of the other vector.
FDO_API_COMMON | ~FdoVectorP ()
| Vector FdoPtr destructor.

The documentation for this class was generated from the following file:

- Vector.h